package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.params.TaskPrintParams;
import com.qmth.distributed.print.business.entity.BasicStudent;
import com.qmth.distributed.print.business.entity.ExamTaskPrint;

import java.util.List;

/**
 * <p>
 * 以试卷作为起点生成考务数据 服务类
 * </p>
 *
 * @author xf
 * @since 2021-08-02
 */
public interface ExamTaskPrintService extends IService<ExamTaskPrint> {
    List<ExamTaskPrint> createTaskPrint(TaskPrintParams taskPrintParams);

    IPage<BasicStudent> listStudentByClass(String classId, Integer pageNumber, Integer pageSize);

    void remove(Long examTaskPrintId);
}
